package com.ssj.service.conch.conch.vo;

import com.ssj.bean.conch.conch.dto.BriefHomeworkPictureDto;
import com.ssj.service.conch.conch.dto.HomeworkPictureCommentPadDTO;
import com.ssj.service.conch.student.dto.RelateKnowledgeDto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class HomeworkFeedbackPadVO implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    private String homeworkId;
    private Integer isFeedback;
    private String subject;
    private String brief;
    private String conchVideoPath;
    private List<BriefHomeworkPictureDto> homeworkPictures = new ArrayList<>();
    private List<HomeworkPictureCommentPadDTO> homeworkCommentList = new ArrayList<>();
    private List<BookHomeworkWrongQuestionPadVO> wrongQuestionList = new ArrayList<>();
    private List<RelateKnowledgeDto> knowledgeList = new ArrayList<>();


    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        switch (subject){
            case "语文": this.subject = "YUWEN"; break;
            case "数学": this.subject = "SHUXUE"; break;
            case "英语": this.subject = "YINGYU"; break;
            default: this.subject = "SHUXUE"; break;
        }
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public Integer getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(Integer isFeedback) {
        this.isFeedback = isFeedback;
    }

    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
        this.brief = brief;
    }

    public List<HomeworkPictureCommentPadDTO> getHomeworkCommentList() {
        return homeworkCommentList;
    }

    public void setHomeworkCommentList(List<HomeworkPictureCommentPadDTO> homeworkCommentList) {
        this.homeworkCommentList = homeworkCommentList;
    }

    public List<BookHomeworkWrongQuestionPadVO> getWrongQuestionList() {
        return wrongQuestionList;
    }

    public void setWrongQuestionList(List<BookHomeworkWrongQuestionPadVO> wrongQuestionList) {
        this.wrongQuestionList = wrongQuestionList;
    }

    public List<BriefHomeworkPictureDto> getHomeworkPictures() {
        return homeworkPictures;
    }

    public void setHomeworkPictures(List<BriefHomeworkPictureDto> homeworkPictures) {
        this.homeworkPictures = homeworkPictures;
    }

    public void addHomeworkPicture (BriefHomeworkPictureDto homeworkPictureDto){
        this.homeworkPictures.add(homeworkPictureDto);
    }

    public String getConchVideoPath() {
        return conchVideoPath;
    }

    public void setConchVideoPath(String conchVideoPath) {
        this.conchVideoPath = conchVideoPath;
    }

    public List<RelateKnowledgeDto> getKnowledgeList() {
        return knowledgeList;
    }

    public void setKnowledgeList(List<RelateKnowledgeDto> knowledgeList) {
        this.knowledgeList = knowledgeList;
    }
}
